random File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::experimental

## Macros

#define | __cpp_lib_experimental_randint
#define | _GLIBCXX_EXPERIMENTAL_RANDOM

## Functions

std::default_random_engine & | std::experimental::_S_randint_engine ()
template<typename _IntType>
_IntType | std::experimental::randint (_IntType __a, _IntType __b)
void | std::experimental::reseed ()
void | std::experimental::reseed (default_random_engine::result_type __value)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/random.

## Macro Definition Documentation

## __cpp_lib_experimental_randint

#define __cpp_lib_experimental_randint

Definition at line 44 of file experimental/random.

## _GLIBCXX_EXPERIMENTAL_RANDOM

#define _GLIBCXX_EXPERIMENTAL_RANDOM

Definition at line 31 of file experimental/random.